Redmine - Defect #39932

Incorrect position of "Edited"” mark in issue notes with h4 headings
2023-12-24 11:17 - Yasu Saku

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Issues Estimated time: 0.00 hour
Target version: 5.1.2

Resolution: Fixed Affected version: 5.1.0
Description

"Edited tag" position is incorrect after issue note update, but it is correct after the page is reloaded.
Steps to reproduce:

1. Edit the existing note using the Edit Note button in the issue history.
2. Update note containing H4 tags.

journal_edit.png
My Environment:

Redmine version 5.1.1.stable
Ruby version 3.2.2-p53 (2023-03-30) [x86_64-1inux]
Rails version 6.1.7.6

Proposal:

To resolve this issue, | believe it might be sufficient to make corrections to the following sections.

diff --git a/app/views/journals/update.]js.erb b/app/views/journals/update.js.erb
index 87320c5d4a..0b9f9%9%a31la 100644
--— a/app/views/journals/update. js.erb
+++ b/app/views/journals/update. js.erb
@e -7,7 +7,7 Q@
S ("#Jjournal-<%= @journal.id %$>-notes") .replaceWith ('<%= escape_javascript (render_notes (@journal
.issue, @journal, :reply_links => authorize_for('issues', 'edit'))) %>');
S ("#journal-<%= @journal.id %$>-notes").show();
S ("#journal-<%= @journal.id %$>-form") .remove ();

- wvar Jjournal_header = $("#change-<%= @journal.id %> h4");
+ wvar journal_header = $("#change-<%= @journal.id %>>div.note>h4.note-header");
var Jjournal_updated_info = journal_header.find("span.update-info");

if (journal_updated_info.length > 0) {
journal_updated_info.replaceWith ('<%= escape_javascript (render_journal_update_info (@journal))
5>') i

source:/tags/5.1.1/app/views/journals/update.js.erb#L.10

Associated revisions

Revision 22561 - 2023-12-26 09:57 - Go MAEDA

Incorrect position of "Edited" mark in issue notes with h4 headings (#39932).

Contributed by Y. Saku.

Revision 22573 - 2023-12-28 01:15 - Go MAEDA
Merged r22561 from trunk to 5.1-stable (#39932).

History

#1 - 2023-12-25 15:17 - Go MAEDA
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/5.1.1/app/views/journals/update.js.erb#L10

- Status changed from New to Confirmed

Thank you for reporting and fixing the issue.

But | think that adding note-hader class to the h4 element is enough to target the correct h4 element. It is less likely to break if there are minor
changes in the HTML structure.

diff --git a/app/views/Jjournals/update.js.erb b/app/views/Jjournals/update.js.erb
index 87320c5d4..37ba35602 100644

-—— a/app/views/journals/update.js.erb

+++ b/app/views/journals/update.js.erb

@@ -7,7 +7,7 @@

$("#journal-<%= Q@journal.id %>-notes") .replaceWith ('<%= escape_javascript (render_notes (@journal.issue, @jou
rnal, :reply_links => authorize_for ('issues', 'edit'))) %>');

$("#journal-<%= @journal.id %>-notes") .show();

$("#journal-<%= @journal.id %>-form") .remove () ;
- var journal_header = $("#change-<%= @journal.id %> h4");
+ wvar journal_header = $("#change-<%= @journal.id %> h4.note-header");

var journal_updated_info = journal_header.find("span.update-info");

if (journal_updated_info.length > 0) {
journal_updated_info.replaceWith ('<%= escape_javascript (render_journal_update_info (@journal)) %>');

#2 - 2023-12-25 15:17 - Go MAEDA

- Target version set to 5.1.2

#3 - 2023-12-26 09:58 - Go MAEDA

- Subject changed from "Edited tag" position is incorrect after issue note update to Incorrect position of "Edited" mark in journals with h4 headings
- Status changed from Confirmed to Resolved

- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch in r22561.

#4 - 2023-12-26 09:58 - Go MAEDA

- Subject changed from Incorrect position of "Edited" mark in journals with h4 headings to Incorrect position of "Edited" mark in issue notes with h4

headings

#5 - 2023-12-26 15:27 - Yasu Saku
Mr. Go MAEDA , thank you for your prompt response.

#6 - 2023-12-28 01:15 - Go MAEDA

- Status changed from Resolved to Closed
